Skip to content
Get started

Get NEPT token params

client.nept.getParams(NeptGetParamsParams { with_text, with_value } query?, RequestOptionsoptions?): NeptGetParamsResponse { data, error, status, status_text }
GET/api/v1/nept/params

Get NEPT token params

ParametersExpand Collapse
query: NeptGetParamsParams { with_text, with_value }
with_text?: boolean

Include text variation fields

with_value?: boolean

Calculate and include USD values for amounts, where applicable

ReturnsExpand Collapse
NeptGetParamsResponse { data, error, status, status_text }
data: NeptParams { asset_info, emission_rate, extra, 2 more }
asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key } | null

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key } | null

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

emission_rate: string

The emission rate of NEPT in tokens per year

extra: Extra { text, value }
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

emission_rate: string
value: Value | null

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

emission_rate: string
extra: Extra { text }
text: Text | null

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

emission_rate: string
price: string

Text representation of price

price: string

Price used in value calculations

staking_pools: Array<StakingPool>

Staking pools

duration: number

The lockup duration for this pool in seconds

formatuint64
minimum0
extra: Extra { text }
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

duration: string
index: string
index: number

The ordered index (position) of this pool

formatuint8
minimum0
maximum255
params: StakingPoolParams { flash_loan_weight, gov_weight, health_weight, reward_weight }

Staking pool contract parameters

flash_loan_weight: string

The pool's weight (multiplier) for flash loans volume

gov_weight: string

The pool's weight (multiplier) on governance for an associated stake

health_weight: string

The pool's weight (multiplier) on account health for an associated stake

reward_weight: string

The pool's weight (multiplier) on rewards for an associated stake

tokens_per_weight: number

Weight:token scaling factor

This is defined in the contract spec to mitigate library type restrictions

formatuint64
minimum0
error: unknown

Error data. Guaranteed null for successful response.

status: number

HTTP status. Successful responses are guaranteed to be < 400. Conversely, error responses are guaranteed to be >= 400.

formatuint16
minimum0
maximum65535
status_text: string

HTTP status text

Get NEPT token params

import NeptuneAPIV2 from '@neptunefinance/api-v2';

const client = new NeptuneAPIV2();

const response = await client.nept.getParams();

console.log(response.data);
{
  "data": {
    "asset_info": {
      "asset": {
        "id": "native;factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept",
        "group": "native",
        "group_key": "factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept"
      },
      "metadata": {
        "name": "Neptune Token",
        "symbol": "NEPT",
        "symbol_denom": "nept",
        "decimals_denom": 6,
        "decimals_display": 5
      },
      "classification": {
        "kind": "regular",
        "neptune_receipt_asset": null
      }
    },
    "emission_rate": "1000000000000",
    "tokens_per_weight": 1000,
    "staking_pools": [
      {
        "index": 0,
        "duration": 604800,
        "extra": {
          "text": {
            "duration": "7 days",
            "index": "1"
          }
        },
        "params": {
          "reward_weight": "2",
          "gov_weight": "2",
          "health_weight": "1",
          "flash_loan_weight": "0"
        }
      },
      {
        "index": 1,
        "duration": 2592000,
        "extra": {
          "text": {
            "duration": "30 days",
            "index": "2"
          }
        },
        "params": {
          "reward_weight": "2",
          "gov_weight": "2",
          "health_weight": "1",
          "flash_loan_weight": "0"
        }
      },
      {
        "index": 2,
        "duration": 7776000,
        "extra": {
          "text": {
            "duration": "90 days",
            "index": "3"
          }
        },
        "params": {
          "reward_weight": "2",
          "gov_weight": "2",
          "health_weight": "1",
          "flash_loan_weight": "0"
        }
      }
    ],
    "extra": {
      "text": {
        "emission_rate": "1,000,000.00000 NEPT"
      },
      "value": {
        "price": "0.032585758453916404",
        "emission_rate": "32585.758453916404",
        "extra": {
          "text": {
            "emission_rate": "$32,585.75",
            "price": "$0.03"
          }
        }
      }
    }
  },
  "error": null,
  "status": 200,
  "status_text": "200 OK"
}
{
  "data": null,
  "error": {
    "kind": "internal",
    "scope": "server",
    "message": "An unexpected error occurred"
  },
  "status": 500,
  "status_text": "500 Internal Server Error"
}
Returns Examples
{
  "data": {
    "asset_info": {
      "asset": {
        "id": "native;factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept",
        "group": "native",
        "group_key": "factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept"
      },
      "metadata": {
        "name": "Neptune Token",
        "symbol": "NEPT",
        "symbol_denom": "nept",
        "decimals_denom": 6,
        "decimals_display": 5
      },
      "classification": {
        "kind": "regular",
        "neptune_receipt_asset": null
      }
    },
    "emission_rate": "1000000000000",
    "tokens_per_weight": 1000,
    "staking_pools": [
      {
        "index": 0,
        "duration": 604800,
        "extra": {
          "text": {
            "duration": "7 days",
            "index": "1"
          }
        },
        "params": {
          "reward_weight": "2",
          "gov_weight": "2",
          "health_weight": "1",
          "flash_loan_weight": "0"
        }
      },
      {
        "index": 1,
        "duration": 2592000,
        "extra": {
          "text": {
            "duration": "30 days",
            "index": "2"
          }
        },
        "params": {
          "reward_weight": "2",
          "gov_weight": "2",
          "health_weight": "1",
          "flash_loan_weight": "0"
        }
      },
      {
        "index": 2,
        "duration": 7776000,
        "extra": {
          "text": {
            "duration": "90 days",
            "index": "3"
          }
        },
        "params": {
          "reward_weight": "2",
          "gov_weight": "2",
          "health_weight": "1",
          "flash_loan_weight": "0"
        }
      }
    ],
    "extra": {
      "text": {
        "emission_rate": "1,000,000.00000 NEPT"
      },
      "value": {
        "price": "0.032585758453916404",
        "emission_rate": "32585.758453916404",
        "extra": {
          "text": {
            "emission_rate": "$32,585.75",
            "price": "$0.03"
          }
        }
      }
    }
  },
  "error": null,
  "status": 200,
  "status_text": "200 OK"
}
{
  "data": null,
  "error": {
    "kind": "internal",
    "scope": "server",
    "message": "An unexpected error occurred"
  },
  "status": 500,
  "status_text": "500 Internal Server Error"
}